# Generated by Django 4.0.5 on 2023-01-20 11:58

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0018_grades_film_name'),
    ]

    operations = [
        migrations.AddField(
            model_name='users',
            name='role',
            field=models.CharField(choices=[('admin', 'admin'), ('writer', 'writer'), ('reader', 'reader')], default='', max_length=100, verbose_name='роль'),
        ),
        migrations.AlterField(
            model_name='films',
            name='category',
            field=models.CharField(choices=[('film', 'film'), ('serial', 'serial')], default='film', max_length=100, verbose_name='категория'),
        ),
        migrations.AlterField(
            model_name='films',
            name='discription',
            field=models.CharField(default='', max_length=9999, verbose_name='описание'),
        ),
        migrations.AlterField(
            model_name='films',
            name='img',
            field=models.CharField(default='', max_length=100, verbose_name='фото'),
        ),
        migrations.AlterField(
            model_name='films',
            name='name',
            field=models.CharField(max_length=100, verbose_name='название'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='description',
            field=models.CharField(default='', max_length=500, verbose_name='описание'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='film_name',
            field=models.CharField(default='', max_length=100, verbose_name='Название фильма'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='title',
            field=models.CharField(default='', max_length=100, verbose_name='Заголовок'),
        ),
        migrations.AlterField(
            model_name='grades',
            name='user_name',
            field=models.CharField(default='', max_length=100, verbose_name='Имя рецензента'),
        ),
        migrations.AlterField(
            model_name='groups',
            name='group',
            field=models.CharField(default='best', max_length=100, verbose_name='группа'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='birthdate',
            field=models.DateField(default=0, max_length=100, verbose_name='дата рождения'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='country',
            field=models.CharField(default='', max_length=100, verbose_name='страна'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='discription',
            field=models.CharField(default='', max_length=9999, verbose_name='описание'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='filmscount',
            field=models.IntegerField(default=0, max_length=4, verbose_name='количество фильмов'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='genres',
            field=models.CharField(default='', max_length=100, verbose_name='жанры'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='group',
            field=models.CharField(choices=[('actor', 'actor'), ('director', 'director')], default='actor', max_length=100, verbose_name='группа'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='img',
            field=models.CharField(default='', max_length=100, verbose_name='фото'),
        ),
        migrations.AlterField(
            model_name='persons',
            name='name',
            field=models.CharField(max_length=100, verbose_name='имя'),
        ),
        migrations.AlterField(
            model_name='users',
            name='login',
            field=models.CharField(default='', max_length=100, verbose_name='имя'),
        ),
        migrations.AlterField(
            model_name='users',
            name='password',
            field=models.CharField(default='', max_length=100, verbose_name='пароль'),
        ),
    ]
